<!--
Copyright (c) 2006-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved
-->

<%@include file="sessionCheck.jsp" %>
<%@taglib uri="http://www.sas.com/taglib/sas" prefix="sas"%>
<%@page errorPage="errorPage.jsp"%>
<%@page import="java.util.*,
				java.net.*,
				java.text.*,
				com.sas.servlet.tbeans.*,
				com.sas.email.rmi.rss.*,
				com.sas.email.server.*,
				com.sas.text.Message,
				com.sas.email.rmi.*,
				com.sas.email.security.*,
				com.sas.email.client.*,
				com.sas.email.webapps.*"%>
				
<%@page contentType="text/html;charset=UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %>

<jsp:useBean id="webListSupport" scope="request" class="com.sas.email.webapps.WebListSupport" />
<%webListSupport.setHttpSession(session);%> 
<jsp:setProperty name="webListSupport" property="*" />
<%
	//Above statement will not call setFindText if value is empty. So calling it below to clear any find text. 
	if (webListSupport.isEmptyFindText(request)) {
		webListSupport.setFindText("");    
	}
%>

<%
	webListSupport.initDateFormat(request.getLocale());

	Properties props = BroadcastUtil.getProperties(request);
	webListSupport.setProperties(props);

	String server     = webListSupport.getServer();
	String user       = webListSupport.getUser();
	String message    = webListSupport.getMessage();
	String gid        = webListSupport.getGid();
	String sessionVal = webListSupport.getSession();
	String col        = webListSupport.getCol();
	String path       = webListSupport.getPath();
	boolean time      = webListSupport.isTime();
	
	
	if (message != null) {
		message = URLDecoder.decode(message, "UTF-8");
		message=message.replaceAll("java.rmi.RemoteException: ","");
		message=message.replaceAll("RemoteException occurred in server thread; nested exception is:","");
	}

	//This is necessary
	webListSupport.initColumnURLs(request.getRequestURL() + "?" + request.getQueryString());

	boolean custContent = false;

	boolean hasHtml = true;

	BulkEmailBroadcast b = null;
	
	String baseURL        = webListSupport.createBaseURL();
	String baseURLForViewSummary        = webListSupport.createBaseURLForViewSummary();
	String baseWeblistURL = baseURL.replaceAll("ebtool", "weblist.jsp");

	String meURL = baseWeblistURL;
	if (path != null) {
		meURL += "&path=" + URLEncoder.encode(path, "UTF-8");
	}
	if (gid != null) {
		meURL += "&gid=" + gid;
	}

	meURL = URLEncoder.encode(meURL, "UTF-8");
	
	String password = webListSupport.getSecurityUtilEncodedPassword();

	String params = "server=" + server + "&user=" + user + "&session=" + password + "&editable=" + webListSupport.isEditable(); 
	String resURL = "./reslist.jsp?" + params;
	String rssURL = "./rsslist.jsp?" + params;
	
	BulkEmailServer besIface = webListSupport.getSDMServer2();
	boolean enableSasReportMenuItem = webListSupport.isEnableSASReport();
	
	Vector feeds=null;
	long sid=-1L;
	String redir="";
	
	try
	{
		feeds=besIface.getRssFeedDefinitions();		
		BulkEmailServerConfig c=besIface.getConfigObject();
		String parts[]=server.split(":");
		String s=parts[0];
		String p="9221";
		if (parts.length>1)
			p=parts[1];
		
		int port=Integer.parseInt(p);
			
		sid=BulkEmailUtils.getSelfId(c,s,port);
		redir=c.getTrackerHREF();
	}
	catch(Exception e)
	{
		
	}

	boolean isAdmin = webListSupport.isAdmin();

	Properties sprops = besIface.getServerProperties();
	
	time= Boolean.valueOf(sprops.getProperty("ShowWebAppListTimes", Boolean.toString(time)));
	
	boolean showAspEdit = Boolean.valueOf(sprops.getProperty("ShowAspEdit", "false")).booleanValue();
	boolean lockSentBroadcasts = Boolean.valueOf(sprops.getProperty("LockSentBroadcasts", "false")).booleanValue();
	
	String disableGroupWebEdits = sprops.getProperty(
			"DisableGroupWebEdits", null);
	boolean noGroupEdits = false;
	if (disableGroupWebEdits != null) {
		if (disableGroupWebEdits.equalsIgnoreCase("")
		|| disableGroupWebEdits.equalsIgnoreCase("true"))
			noGroupEdits = true;
	}

	String schedulingInstalled = sprops.getProperty(
			"SchedulingInstalled", null);
	boolean noScheduling = false;
	if (schedulingInstalled != null) {
		if (schedulingInstalled.equalsIgnoreCase("false"))
			noScheduling = true;
	}

	String noSeparateScheduleWindow = sprops.getProperty(
			"NoSeparateScheduleBrowser", "false");
	boolean separateSchedule = true;
	if (noSeparateScheduleWindow.equalsIgnoreCase("false") == false)
		separateSchedule = false;

	if (noScheduling == false) {
		try {
			besIface.getScheduleManager();
		} catch (Exception eatit) {
			noScheduling = true;
		}
	}

	String groupReportURL = "";

	String del = props.getProperty("Delete.txt");
	String imp = props.getProperty("Import.txt");
	String edit = props.getProperty("EditContent.txt");
	String editit = props.getProperty("Edit.txt");

	String ren = props.getProperty("Rename.txt");
	String dup = props.getProperty("Duplicate.txt");
	String mov = props.getProperty("Move.txt");

	String sched = props.getProperty("ScheduleDot.txt");
	String prev = props.getProperty("Preview.txt");
	String summ = props.getProperty("Summarize.txt");
	String sasreport = props.getProperty("RunSASReport.txt");
	String runvis = props.getProperty("RunVisualReport.txt");
	String runcustvis = props.getProperty("RunCustVisualReport.txt");
	String proper = props.getProperty("Properties.txt");
	String rungp = props.getProperty("RunGroupReportDot.txt");
	String help = props.getProperty("Help.txt");
	BulkEmailServerUsers bulkEmailServerUsers = (BulkEmailServerUsers)session.getAttribute("besUsers");
%>
<html>
<head>
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<%@include file="ConfirmDialog.jsp"%>
<sas:InitializeComponents/>
<script type="text/javascript" src="scripts/tooltip.js"></script>
<script type="text/javascript" src="scripts/weblist_js_functions.js"></script>
<script type="text/javascript">
	function showModelDialog(url, width, height) {
		MenuBar_hideAll();
		if (window.showModalDialog) {					
			window.showModalDialog(url, self, "dialogWidth:" + width + "px;dialogHeight:" + height + "px;status=no;scroll:no;");
		} else {
			eval("page" + self + " = window.open(url, '" + self + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=" + width + ",height=" + height +",left = 415,top = 332,modal=yes');");
		}		
	}
	var X = 0;
	var Y = 0;

	var loaded = false;
	function mouseXY()
	{
	 X = event.clientX + document.body.scrollLeft;
	 Y = event.clientY + document.body.scrollTop;
	}
	function menu(mon,summ,prev,sched,sasreport,runvis,runcustvis,dup,mov,edit,imp,del,ren,proper,editURL,editTarget,lockedUser,lastExeTime,importURL,lockSentBroadcasts,showAspEdit,checkCust){

		menuFlag = true;
		
		if(document.getElementById("summ") != null)
			document.getElementById("summ").href = summ;

		if(document.getElementById("prev") != null)
			document.getElementById("prev").onclick = function(){ hide(); showModelDialog(prev,'555','260');  return false;};

		if(document.getElementById("sched") != null)
			document.getElementById("sched").href = sched;
		
		if(document.getElementById("sasreport") != null)
			document.getElementById("sasreport").href = sasreport;
		
		if(document.getElementById("runvis") != null)
			document.getElementById("runvis").href = runvis;

		if(document.getElementById("runcustvis") != null){
			if(checkCust != "true"){
				var row4 = document.getElementById("menuDivrow4");
				if(row4 != null)
					row4.style.display = 'none';
			}
			else{
				document.getElementById("runcustvis").href = runcustvis;
				var row4 = document.getElementById("menuDivrow4");
				if(row4 != null)
					row4.style.display = 'block';
			}
		}
		
		if(document.getElementById("dup") != null)
			document.getElementById("dup").onclick = function(){ hide(); showModelDialog(dup,'700','155');  return false;};
		
		if(document.getElementById("mov") != null)
			document.getElementById("mov").onclick = function(){ hide(); showModelDialog(mov,'685','80');  return false;};

		if(document.getElementById("edit") != null){

			var row = document.getElementById("menuDivrow");
			var row1 = document.getElementById("menuDivrow1");
			var row3 = document.getElementById("menuDivrow3");
			if ((lockSentBroadcasts == "false") || (lockSentBroadcasts == "true" && lastExeTime == 0) && showAspEdit == "true") {
						
				if(row != null)
					row.style.display = 'block';	
				if(row1 != null)
					row1.style.display = 'block';	
				if(row3 != null)
					row3.style.display = 'block';

				if(lockedUser !='null' || lastExeTime !=0)
					document.getElementById("edit").onclick = function(){ hide(); showModelDialog(edit,'555','120');  return false;};
				else
					document.getElementById("edit").onclick = function(){ hide(); javascript:openRemoteEdit(editURL, editTarget);  return false;};
			}
			else{
					if(row != null)
						row.style.display = 'none';	
					if(row1 != null)
						row1.style.display = 'none';	
					if(row3 != null)
						row3.style.display = 'none';
			}
		}
		if(document.getElementById("imp") != null){
			
			var row = document.getElementById("menuDivrow");
			var row1 = document.getElementById("menuDivrow1");
			var row3 = document.getElementById("menuDivrow3");
			if ((lockSentBroadcasts == "false") || (lockSentBroadcasts == "true" && lastExeTime == 0) && showAspEdit == "true") {

					if(row != null)
						row.style.display = 'block';	
					if(row1 != null)
						row1.style.display = 'block';	
					if(row3 != null)
						row3.style.display = 'block';

				if(lockedUser !='null'){
					var row = document.getElementById("menuDivrow");
					if(row != null)
						row.style.display = 'none';	
				}
				else {
				if(lastExeTime !=0)
					document.getElementById("imp").onclick = function(){ hide(); showModelDialog(imp,'555','120');  return false;};
				else
					document.getElementById("imp").onclick = function(){ hide(); javascript:openImportWindow(importURL);  return false;};
				}
			}
			else{
					if(row != null)
						row.style.display = 'none';	
					if(row1 != null)
						row1.style.display = 'none';	
					if(row3 != null)
						row3.style.display = 'none';
			}

		}
			

		if(document.getElementById("del") != null)
			document.getElementById("del").onclick = function(){ hide(); showModelDialog(del,'555','100');  return false;};

		if(document.getElementById("ren") != null)
				document.getElementById("ren").onclick = function(){ hide(); showModelDialog(ren,'555','80');  return false;};


		if(document.getElementById("proper") != null)
			document.getElementById("proper").href = proper;
		
		document.getElementById("aspDiv").style.display = 'none';
		document.getElementById("menuDiv").style.display = 'block';
		document.getElementById("groupDiv").style.display = 'none';
		
		var scrHeight =	screen.height;
		var divHeight = document.getElementById("menuDiv").clientHeight;
		var pos = document.body.scrollTop;

		if((divHeight + (Y - pos) ) > (scrHeight - 170)){
			document.getElementById("menuDiv").style.top=Y - divHeight;
			document.getElementById("menuDiv").style.left=X;
		}
		else{
			document.getElementById("menuDiv").style.top=Y;
			document.getElementById("menuDiv").style.left=X;
		}
		
		
	}

	function menu1(mon,summ,prev,sched,runvis,dup,mov,del,ren,proper){

		menuFlag = true;
		
		if(document.getElementById("summA") != null)
			document.getElementById("summA").href = summ;
		
		if(document.getElementById("prevA") != null)
			document.getElementById("prevA").onclick = function(){ hide(); showModelDialog(prev,'580','170');  return false;};
		
		if(document.getElementById("schedA") != null)
			document.getElementById("schedA").href = sched;
		
		if(document.getElementById("runvisA") != null)
			document.getElementById("runvisA").href = runvis;
		
		if(document.getElementById("dupA") != null)
			document.getElementById("dupA").onclick = function(){ hide(); showModelDialog(dup,'700','155');  return false;};
		
		if(document.getElementById("movA") != null)
			document.getElementById("movA").onclick = function(){ hide(); showModelDialog(mov,'685','80');  return false;};
		
		if(document.getElementById("delA") != null)
			document.getElementById("delA").onclick = function(){ hide(); showModelDialog(del,'555','80');  return false;};
		
		if(document.getElementById("renA") != null)
			document.getElementById("renA").onclick = function(){ hide(); showModelDialog(ren,'555','80');  return false;};
		
		if(document.getElementById("properA") != null)
			document.getElementById("properA").href = proper;

			document.getElementById("aspDiv").style.display = 'block';
			document.getElementById("menuDiv").style.display = 'none';
			document.getElementById("groupDiv").style.display = 'none';

		var scrHeight =	screen.height;
		var divHeight = document.getElementById("aspDiv").clientHeight;
		var pos = document.body.scrollTop;

		if((divHeight + (Y - pos) ) > (scrHeight - 170)){
			document.getElementById("aspDiv").style.top=Y - divHeight;
			document.getElementById("aspDiv").style.left=X;
		}
		else{
			document.getElementById("aspDiv").style.top=Y;
			document.getElementById("aspDiv").style.left=X;
		}
		
	}

	function group(rungp,del,ren,proper1){

		menuFlag = true;
		if(document.getElementById("rungp") != null)
			document.getElementById("rungp").href = rungp;
		
		if(document.getElementById("delG") != null)
			document.getElementById("delG").onclick = function(){ hide(); showModelDialog(del,'685','80');  return false;};;
		
		if(document.getElementById("renG") != null)
			document.getElementById("renG").onclick = function(){ hide(); showModelDialog(ren,'555','80');  return false;};;

		if(document.getElementById("properG") != null){
				document.getElementById("properG").href = proper1;
		}

			document.getElementById("aspDiv").style.display = 'none';
			document.getElementById("menuDiv").style.display = 'none';
			document.getElementById("groupDiv").style.display = 'block';

		var scrHeight =	screen.height;
		var divHeight = document.getElementById("groupDiv").clientHeight;
		var pos = document.body.scrollTop;

		if((divHeight + (Y - pos) ) > (scrHeight - 170)){
			document.getElementById("groupDiv").style.top=Y - divHeight;
			document.getElementById("groupDiv").style.left=X;
		}
		else{
			document.getElementById("groupDiv").style.top=Y;
			document.getElementById("groupDiv").style.left=X;
		}
		
	}
	function hide(){
		var obj = document.getElementById("menuDiv");
		var obj1 = document.getElementById("aspDiv");
		var obj2 = document.getElementById("groupDiv");

			obj.style.display = 'none';
			obj1.style.display = 'none';
			obj2.style.display = 'none';
			menuFlag = false;
	}

	function hideMenu(){
		try{
			MenuBar_hideAll();
			var obj = document.getElementById("menuDiv");
			var obj1 = document.getElementById("aspDiv");
			var obj2 = document.getElementById("groupDiv");
			if(!menuFlag){
				obj.style.display = 'none';
				obj1.style.display = 'none';
				obj2.style.display = 'none';
			}
			else
				menuFlag = false;
		}
		catch(err){
		// Do nothing just to prevent user click when page getting loaded
		}
	}
	
	function openWarningForMoveOrRename(url){		
		showModelDialog(url, 685, 80);
	}

	function openScheduleBroadcastPage(scheduleBroadcastURL){
		openRemoteSelfWindow(scheduleBroadcastURL);
	}
	
	function openImportContentSelector(url, forEditContent, editTarget){		
		if(forEditContent == 'true'){
			openRemoteEdit(url, editTarget);
		}else{
			openImportWindow(url);
		}
	}	

	function submitDeleteBroadcastForm(moniker, broadcastName) {
		
		var form = document.getElementById("renameBroadcastForm");
		form.action = "doDeleteBroadcast.jsp?debug=<%=webListSupport.isDebug()%>";
		document.getElementById('moniker').value = moniker;
		document.getElementById('broadcastName').value = broadcastName;
		
		form.submit();
	}

	function submitDeleteGroupForm(gid, groupname) {
		
		var form = document.getElementById("renameBroadcastForm");
		form.action = "doDeleteGroup.jsp?debug=<%=webListSupport.isDebug()%>";
		document.getElementById('gid').value = gid;
		document.getElementById('group').value = groupname;
		
		form.submit();
	}	

	function submitRenameBroadcastForm(moniker, oldName, newName) {
		var form = document.getElementById("renameBroadcastForm");
		document.getElementById('moniker').value = moniker;
		document.getElementById('oldName').value = oldName;
		document.getElementById('newName').value = newName;
		
		form.submit();
	}

	function submitRenameGroupForm(moniker, oldName, newName) {
		var form = document.getElementById("renameBroadcastForm");
		form.action = "doRenameGroup.jsp?debug=<%=webListSupport.isDebug()%>";
		document.getElementById('gid').value = moniker;
		document.getElementById('oldName').value = oldName;
		document.getElementById('newName').value = newName;
		
		form.submit();
	}

	function submitDuplicateBroadcastForm(moniker, broadcastName, newName, parentGroupPath) {
		var form = document.getElementById("renameBroadcastForm");
		form.action = "doDupBroadcast.jsp?debug=<%=webListSupport.isDebug()%>";
		document.getElementById('moniker').value = moniker;
		document.getElementById('broadcastName').value = broadcastName;
		document.getElementById('newName').value = newName;
		document.getElementById('parentGroupPath').value = parentGroupPath;
		
		form.submit();
	}

	function submitDuplicateGroupForm(moniker, oldName, newName) {
		var form = document.getElementById("renameBroadcastForm");
		form.action = "doRenameGroup.jsp?debug=<%=webListSupport.isDebug()%>";
		document.getElementById('gid').value = moniker;
		document.getElementById('oldName').value = oldName;
		document.getElementById('newName').value = newName;
		
		form.submit();
	}

	function submitMoveBroadcastForm(moniker, broadcastName, parentGroupPath) {
		var form = document.getElementById("renameBroadcastForm");
		form.action = "doMoveBroadcast.jsp?debug=<%=webListSupport.isDebug()%>";
		document.getElementById('moniker').value = moniker;
		document.getElementById('broadcastName').value = broadcastName;
		document.getElementById('parentGroupPath').value = parentGroupPath;
		
		form.submit();
	}	

	function checkfind(){
		if(document.getElementById('findText').value == ""){
			document.getElementById('findText').value = " ";
		}
		return true;	
	}

	function selectFolder(){
		var xpos=350;
  		var ypos=250;
		var obj = new Object();
		var remote = window.showModalDialog("./browseGroupForWeblist.jsp", obj, "dialogWidth:350px;dialogHeight:290px;status:no");
		document.getElementById('findText').value = "";
		if(obj.returnvalue != "")
			submitfind(obj.returnvalue);

	}

	function submitfind(o){
		var form = document.getElementById("mainForm");
		var str = o;
		document.getElementById('folderDisplay').value = "\\\\" + str;
		form.submit();
	}
	function submitForm(){
		var form = document.getElementById("mainForm");
		form.submit();
	}
	
</script>

<link rel="stylesheet" href="styles/sasStyle.css" type="text/css" />
<link rel="shortcut icon" href="./favicon.ico" type="image/x-icon" />
<link rel="icon" href="./favicon.ico" type="image/x-icon" />

<%
if (feeds!=null && feeds.size() > 0 && redir!=null && sid!=-1)
{
	for (int i=0;i<feeds.size(); i++)
	{
		RssFeedDefinition rfd=(RssFeedDefinition) feeds.get(i);
		String lhtml=rfd.getFeedHtmlReference(redir,sid,BulkEmailConstants.RSS_HTML_LINK);
		%>
		
		<%= lhtml %>
	
<%
	}
}
%>
<style>
   .mC{border: solid 2px #000000;font-family: Trebuchet MS, Helvetica, sans-serif;}
   .mMD {background-color: #DCDCDC; color: #000000;}
   .mM, .mML {background-color: #DCDCDC;color: #275E94;cursor:hand;text-align: center;}
   .mM A, .mML A {text-decoration: none;color:#3872ac;}
   .mMI, .mMIL {background-color:#FFFFFF; color:#3872ac;font-size: 0.8em;padding-left:10px;padding-right:10px;}
   .mMI A, .mMIL A {text-decoration: none;color:#3872ac;}
   .mMI A:hover, .mMIL A:hover {text-decoration: underline;}
   .mMIC{font-family: Trebuchet MS, Helvetica, sans-serif;background-color: white; 
                        border-color: #3872ac; color: #3872ac;text-align: left;border-style: solid; 
                        padding:1px; border-width:1px;}
	
	td.toolbarIcon {border-width: 0px;}	
	.r1 {background-color : #f9f9f9;}
	.r2 {background-color : #ffffff;}
	
	.t1 {font-size: 0.8em; vertical-align:middle; text-align:center;};
	.t2 {padding: 0px 7px; font-size: 0.8em; text-align:left; white-space: nowrap;}
	.t3 {padding: 0px 7px; font-size: 0.8em; text-align:right; white-space: nowrap;}
	.t4 {padding: 0px 7px; word-break:break-all; font-size: 0.8em; text-align:left;}

	.a1{background:#FFFFCC;width: 300px;}
	.a2{width:120px;font-size:9pt;nowrap:true;vertical-align:top}
	.a3{background:#FFFFCC;width: 350px;}
	.a4{font-size:9pt;nowrap:false}
	
	.m1{font-size:9pt;font-family: Arial;}
	
   </style>
</head>
<title><%=props.getProperty("EMWebApp.txt")%></title>
<body onUnload="cleanup();" onmousemove="javascript:mouseXY();" onclick="javascript:hideMenu();">
<table border="0" width="100%" cellpadding="0" cellspacing="0">
	<tr>
		<td width=\"100%\">

		<%
		if (!webListSupport.isNoheader()) {
		%>
		<div id="banner" background="images/BannerBackground.gif" style='background: #039 url("images/BannerBackground.gif")'>
		<div class="transbar">&nbsp;</div>

		<jsp:include page="signoutHeader.jsp" flush="true"/>
		
		<%
		}

		if (gid != null) {
			try {
				BulkEmailBroadcastGroup g = besIface.getGroupByMoniker(gid);
				path = g.getGroupPath();
			} catch (Exception ge) {
				message = ge.getMessage();
				path = "\\";
			}
		}

		if (path == null)
			path = "\\";
		path = path.trim();
		path = URLDecoder.decode(path, "UTF-8");

		BulkEmailBroadcastGroup g = null;

		try {
			if (!path.equalsIgnoreCase("/"))
				g = besIface.getBroadcastGroup(path);
		} catch (Exception ge) {
			message = path + "<p>" + ge.getMessage();
			path = "/";
		}
		if (!webListSupport.isNoheader()) {
		%>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td nowrap id="bantitle"><%=props.getProperty("BroadcastListing.Title.txt")%></td>
				<td id="banbullet"></td>
				<td nowrap id="bantitle2"></td>
				<td align="right" id="banlogo" width="100%"><IMG
					SRC="images/logo.gif"></td>
			</tr>
		</table>
		</div>
		</td>
	</tr>
		<%
		}
		%>

	<!-- Toolbar starts here -->
	<%
	String ua = request.getHeader( "User-Agent" );
	//boolean isFirefox = ( ua != null && ua.indexOf( "Firefox/" ) != -1 );
	boolean isMSIE = ( ua != null && ua.indexOf( "MSIE" ) != -1 );
	response.setHeader( "Vary", "User-Agent" );
	
	String divTagStart = "<div style=\"padding-left: 5px; padding-right: 5px; padding-top: 2px; padding-bottom: 2px;\">";
	if (isMSIE) {
		divTagStart = "<div style=\"padding-left: 5px; padding-right: 5px; padding-top: 0px; padding-bottom: 0px;\">";
	}							
	%>
	
	<%
	if (!webListSupport.isNotoolbar()) {
	%>
	<form name="mainForm" method="POST" action="<%=request.getRequestURL()%>" onsubmit = "return(checkfind())">

	<% Enumeration paramNames = request.getParameterNames();
	   while(paramNames.hasMoreElements()) {
	       String paramName = (String) paramNames.nextElement();
	       if (!paramName.equalsIgnoreCase("findText") ) {
	%>
		<input type="hidden" id="<%=paramName%>" name="<%=paramName%>" value="<%=request.getParameter(paramName)%>" />
	<% 
	       }
	   }
	%>
		<input type="hidden" id="showMessage" name="showMessage" value="true" />
			
		<input type="hidden" id="folderDisplay" name="folderDisplay" value="" />
	<tr>
		<td>
			<table border=0 width="100%" class="popupMenuBox">
				<tr>
					<td align="left" nowrap="1" style="padding-top: 4px; padding-bottom: 4px;">
					<table cellpadding="0" cellspacing="0" >
						<tr>
						<%
						if (webListSupport.isEditable()) {
							String href = baseURL;
														
							
							href = href.replaceAll("ebtool", "createbctypesel.jsp");
							
							if (gid != null) {
								href += "&gid=" + gid;
							}
							else {
								href += "&gid=Group_null";
							}
				
							href += "&redir=" + meURL;
							%>
							
							<td class="toolbarIcon">
								<%= divTagStart %>
								<img src="./images/Mail.gif"
									alt="<%= props.getProperty("NewBroadcast.txt") %>" 
									title="<%= props.getProperty("NewBroadcast.txt") %>" 
									border="0"
									align="center" usemap="#new2"> 
									<map id="new2" name="new2">
									<area alt="<%= props.getProperty("NewBroadcast.txt") %>"
										  title="<%= props.getProperty("NewBroadcast.txt") %>"
										shape="rect" coords="0,0,16,16" href="<%=  href %>" />
									</map> 
								</div>
							</td>
							<%
							if (noScheduling == false) {
								href = baseURL;
								href = href.replaceAll("ebtool", "scheduledbroadcasts.jsp");
								
								if (separateSchedule == true) {
									href = href + "&showdone=false";
								} 
								else {
									href = href + "&showdone=true";
								}
								
								href += "&redir=" + meURL; %>
								
								<td class="toolbarIcon">
									<%= divTagStart %>
									<img src="./images/ScheduleFolder.gif"
												alt="<%= props.getProperty("Manage.txt") %>" 
												title="<%= props.getProperty("Manage.txt") %>" 
												border="0"
												align="center" usemap="#new3"> <map id="new3" name="new3">
												
												<% if (separateSchedule == true) { %>
												
												<area alt="<%= props.getProperty("Manage.txt") %>" 
													  title="<%= props.getProperty("Manage.txt") %>" shape="rect"
													  coords="0,0,16,16" href="<%= href %>" target="schedule" />
													  
												<% } else
													{ %>
												
												<area alt="<%= props.getProperty("Manage.txt") %>" 
													  title="<%= props.getProperty("Manage.txt") %>" shape="rect"
													  coords="0,0,16,16" href="<%= href %>" />
													
												<%  } %>
											</map> 
									</div>
								</td>
							<%
							}
							
							if (noGroupEdits == false) {
								href = baseURL;
								href = href.replaceAll("ebtool", "newgroup.jsp");
								
								if (gid != null) {
									href += "&gid=" + gid;
								}
								else {
									href += "&group=" + URLEncoder.encode(URLEncoder.encode(path, "UTF-8"), "UTF-8");
								}
								href += "&redir=" + meURL;%>
						 
								<td class="toolbarIcon">
									<%= divTagStart %>
									<img src="./images/NewFolder.gif"
										alt="<%= props.getProperty("NewGroup.txt") %>" border="0"
										title="<%= props.getProperty("NewGroup.txt") %>"
										align="center" usemap="#new1"> <map id="new1" name="new1">
										<area alt="<%= props.getProperty("NewGroup.txt") %>" 
											  title="<%= props.getProperty("NewGroup.txt") %>" 
											 shape="rect"
											coords="0,0,16,16" href="<%=  href %>" />
									</map>
									</div>
								</td>
				
						<%
							}
						}
						%>
						
						<td class="toolbarIcon">
							<%= divTagStart %>
							<img src="./images/RSSFolder.gif"
								alt="<%= props.getProperty("RssFeedManager.txt") %>" border="0"
								title="<%= props.getProperty("RssFeedManager.txt") %>" 
								align="center" usemap="#rsslist"> <map id="rsslist" name="rsslist">
								<area alt="<%= props.getProperty("RssFeedManager.txt") %>" shape="rect"
									title="<%= props.getProperty("RssFeedManager.txt") %>" 
									coords="0,0,16,16" href="<%=rssURL %>" target="_blank"/>
							</map>
							</div>
						</td>
						
						<%
						if (enableSasReportMenuItem) {
						%> 
							<td class="toolbarIcon">
								<%= divTagStart %>
								<img src="./images/RunSASJob.gif"
											alt="<%= props.getProperty("RunGroupReport.txt") %>" border="0"
											title="<%= props.getProperty("RunGroupReport.txt") %>" 
											align="center" usemap="#top1"> 
								<%
								groupReportURL = baseURL;
								groupReportURL = groupReportURL.replaceAll("ebtool","oobreports.jsp");
								if (gid == null) {
									groupReportURL += "&group=" + URLEncoder.encode(URLEncoder.encode(path, "UTF-8"), "UTF-8");
								}
								else {
									groupReportURL += "&gid=" + gid;
								}

								groupReportURL += "&redir=" + meURL;
								%> 
								<map id="top1" name="top1">
									<area alt="<%= props.getProperty("RunGroupReport.txt") %>"
											title="<%= props.getProperty("RunGroupReport.txt") %>"
											shape="rect" coords="0,0,16,16" href="<%= groupReportURL %>" />
								</map>
								</div>
							</td>
						<%
						}
						%>

						<td class="toolbarIcon">
							<%= divTagStart %>
							
							<sas:MenuBar menuType="CLICK">
								<sas:StyleMapKey key="MENUBAR_CONTAINER" classid="mC" />
								<sas:StyleMapKey key="MENU" classid="myMenu1" />
								<sas:StyleMapKey key="MENU_LINK" classid="mML" />
								<sas:StyleMapKey key="MENU_DIVIDER" classid="mMD" />
								<sas:StyleMapKey key="MENU_ITEM" classid="mMI" />
								<sas:StyleMapKey key="MENU_ITEM_LINK" classid="mMIL" />
								<sas:StyleMapKey key="MENU_ITEM_DIVIDER" classid="myMenuItemDivider" />
								<sas:StyleMapKey key="MENU_ITEM_CONTAINER" classid="mMIC" />
								<sas:Menu image="./images/MenuDownArrow2.gif" title='<%= props.getProperty("More.txt") %>'>
									<sas:MenuItem label='<%= props.getProperty("ManageWebResources.txt") %>'
										  customAttributes='target="_blank"'
										  URL="<%=resURL %>"
										  image="images/GlobeFolder.gif" 
										  imagePosition="left" />
								
									<%
									if ((enableSasReportMenuItem) && redir != null && sid != -1) {
										String rssIndex = redir.replaceAll("redir", "feeds?id=" + sid);	%>
								
										<sas:MenuItem label='<%= props.getProperty("RSSIndexPage.txt") %>'
												  customAttributes='target="_blank"'
												  URL="<%= rssIndex %>" 
												  image="images/FeedIndex.gif"
												  imagePosition="left" />

									<% } %>
									
									<sas:MenuItemSeparator />

									<%
									if (isAdmin == true) {
										String configServerURL = baseURL;
										configServerURL = configServerURL.replaceAll("ebtool", "updateserver.jsp");
										configServerURL += "&path=" + URLEncoder.encode(path, "UTF-8");
										configServerURL += "&redir=" + meURL;
									%>
										<sas:MenuItem label='<%= props.getProperty("ConfigServ.txt") %>'
													  customAttributes=""
													  URL="<%= configServerURL %>"
													  image="images/BulkEmailConfigWizard.gif" 
													  imagePosition="left" />

									<% 
									} 
									String changePassURL = baseURL;
									changePassURL = changePassURL.replaceAll("ebtool", "changepassword.jsp");
									changePassURL += "&redir=" + meURL;	
									%>			  
									<sas:MenuItem label='<%= props.getProperty("ChangePassword.txt") %>'
												  customAttributes="" 
												  URL="<%= changePassURL %>" 
												  image="images/ApplicationRole.gif"
												  imagePosition="left" />
								
								</sas:Menu> 
							</sas:MenuBar>
							</div>
						</td>
					</tr>
				</table>
				</td>
				<% String findValue = webListSupport.getFindText() != null ? webListSupport.getFindText() : ""; %>
				<td align="right" ><input id="findText" type="text" size="40" value="<%=findValue%>" name="findText"/>&nbsp;
				<a href="javascript:submitForm();"><img border="0" style="vertical-align:center;cursor:hand;border-color:#999999;" src="./images/Search.gif" alt="<%= props.getProperty("Find.txt") %>"/></a>
						<%
							boolean str = false; 
							str = webListSupport.isEnableFolderDisplay();

							if(str == true){
						%>			
									<img src="./images/vertLine1.gif" style="vertical-align:bottom;" align="left" border="0"/>
									<a href="javascript:selectFolder();">
									<img src="./images/folderOpen.gif" style="vertical-align:bottom;" align="left"
										alt="<%= props.getProperty("FilterByFolder.txt") %>" border="0"
										title="<%= props.getProperty("FilterByFolder.txt") %>"/> </a>

						<%
						}
						%>
						</td>
			</tr>
		</table>
	</tr>
	</form>
	<!-- Toolbar ends here -->
	
	<tr colspan="4">
		<td>
		<%
		if ((message != null) && (message.equalsIgnoreCase("null") == false) && (message.equalsIgnoreCase("") == false)
		         															 && webListSupport.isShowMessage()) {
		%>

		<div id="message_box">
		<table class="infoMessageBox" cellspacing="0" cellpadding="3"
			width="100%">
			<tr>
				<td><img border="0" src="images/MessageInform24.gif" alt=""
					width="24" height="24" />
				<td align="left" width="100%"><%=message%></td>
				<td><a href="#"
					onClick='closeMessageBox("message_box");return false;'><%=props.getProperty("Close.txt")%></a></td>

			</tr>
		</table>
		</div>
		<% } %>
		</td>
	</tr>
	<%
		}

		List broadcasts = null;
	%>
	
	<%
	String nameColumnStyle = "style='font-size: 0.8em;'";
	String columnPadding = "style='padding: 0px 7px; font-size: 0.8em;'";
	String paddingWithWordWrap = "style='padding: 0px 7px; word-break:break-all; font-size: 0.8em;'";
	
	String img = "";
	int scol = webListSupport.getSortedColumn();
	if (scol == 1 || scol == 2 || scol == 3 || scol == 4 || scol == 5) {
		img = "./images/thead_SortAscending.gif";
	} else if (scol == -1 || scol == -2 || scol == -3 || scol == -4 || scol == -5) {
		img = "./images/thead_SortDescending.gif";
	} 
		
	%>
	<tr>
		<td>
		<table border=0 width="100%" cellpadding="3" class="mainTable">
			<tr class="searchResultsTableHeader">
				<th class="leftTableHeader" align="left" width="3%"></th>
				<th class="leftTableHeader" align="center" width="3%"><img src="./images/Document.gif"/></th>
				<th class="leftTableHeader" align="left" width="28%" <%=columnPadding%> >
					<table><tr class="searchResultsTableHeader">
					<th width="100%" align="left"><a href="<%=webListSupport.getNameURL()%>"> <%=props.getProperty("Name.txt")%> </a></th>
					<% if (scol == -1 || scol == 1) { %> 
					<th><img src="<%=img%>"></th> 
					<% } %> 
					</tr></table>
				</th>
				
				<th class="leftTableHeader" align="left" width="27%" <%=columnPadding%>>
					<table><tr class="searchResultsTableHeader">
					<th width="100%" align="left"><a href="<%=webListSupport.getPathURL()%>"> <%=props.getProperty("GroupPath.txt")%> </a></th>
					<% if (scol == -2 || scol == 2) { %> 
					<th><img src="<%=img%>"></th>
					<% } %>
					</tr></table>
				</th>
				
				<th class="leftTableHeader" align="left" width="13%" <%=columnPadding%>>
					<table><tr class="searchResultsTableHeader">
					<th width="100%" align="left"><a href="<%=webListSupport.getTypeURL()%>"> <%=props.getProperty("Type.txt")%> </a></th>
					<% if (scol == -3 || scol == 3) { %> 
					<th><img src="<%=img%>"></th>
					<% } %>
					</tr></table>
				</th>

				<th class="leftTableHeader" align="left" width="13%" <%=columnPadding%>>
					<table><tr class="searchResultsTableHeader">
					<th width="100%" align="left"><a href="<%=webListSupport.getModifiedByURL()%>"> <%=props.getProperty("ModifiedBy.txt")%> </a></th>
					<% if (scol == -4 || scol == 4) { %> 
					<th><img src="<%=img%>"></th>
					<% } %>
					</tr></table>
				</th>
				
				<th class="leftTableHeader" align="right" width="13%" <%=columnPadding%>>
					<table><tr class="searchResultsTableHeader">
					<th width="100%" align="right"><a href="<%=webListSupport.getDateURL()%>"> <%= props.getProperty("Modified.txt") %> </a></th>
					<% if (scol == -5 || scol == 5) { %> 
					<th><img src="<%=img%>"></th> 
					<% } %> 
					</tr></table>
				</th>
 			</tr>

			<%
				if(webListSupport.getFolderDisplay() != null && webListSupport.getFolderDisplay() !="" ){
//					broadcasts = webListSupport.getBroadcastForGroup(request, besIface.getGroupByMoniker(webListSupport.getFolderDisplay()));
					broadcasts = webListSupport.getBroadcastForGroup(request, besIface.getBroadcastGroup(webListSupport.getFolderDisplay()));
					session.setAttribute("folderDisplay", webListSupport.getFolderDisplay());
//					webListSupport.setFolderDisplay(null);
			}
			else{
					if(session.getAttribute("folderDisplay") != null && ((String)session.getAttribute("folderDisplay")) != "" )
						broadcasts = webListSupport.getBroadcastForGroup(request, besIface.getBroadcastGroup((String)session.getAttribute("folderDisplay")));
					else
						broadcasts = webListSupport.getAllGroupsAndBroadcasts(request); 
				}
		
				long startTime = System.currentTimeMillis();
				
				for (int i = 0; i < broadcasts.size(); i++) {
					Object object = broadcasts.get(i);

					if (object instanceof BulkEmailBroadcast) {
						b = (BulkEmailBroadcast) object; 
						String broadcastName = BroadcastUtil.escapeEntity(b.getName());
						
						String urlEncodedName = URLEncoder.encode(broadcastName, "UTF-8");
						String urlEncodedMoniker = URLEncoder.encode(b.getMoniker(), "UTF-8");
						String urlEncodedGroupPath = URLEncoder.encode(b.getGroupPath(), "UTF-8");

						if (i % 2 == 0) { %>
						<tr class="r1">
						<% } else { %>
						<tr class="r2">
						<%
						}

						if (b.getType() == BulkEmailConstants.DYNAMIC || b.getType() == BulkEmailConstants.STATIC || b.getType() == BulkEmailConstants.MULTICHANNEL) {
						    meURL = baseWeblistURL;

							if (gid == null) {
								meURL = meURL + "&path=" + URLEncoder.encode(urlEncodedGroupPath, "UTF-8");
							}
							else {
								meURL = meURL + "&gid=" + gid;
							}

							meURL = URLEncoder.encode(meURL, "UTF-8");
							String monikerAndRedir = "&moniker=" + urlEncodedMoniker + "&redir=" + meURL;
		
							String impCBUrl = baseURL + "&moniker=" + b.getMoniker() ;
							impCBUrl=impCBUrl.replaceAll("ebtool","doExportResource.jsp");
							impCBUrl=URLEncoder.encode(impCBUrl,"UTF-8");
							impCBUrl=URLEncoder.encode(impCBUrl,"UTF-8");
						
							String editURL = baseURL;
							String editTarget = "_edit_html_" + b.getMoniker();
							editURL += "&part=html&moniker=" + b.getMoniker()
									+ "&redir=" + meURL;
							editURL = editURL.replaceAll("ebtool", "editContent.jsp");
							
							String importURL = baseURL;
							String types="text/plain,text/html";
							types=URLEncoder.encode(types,"UTF-8");
							importURL += "&key=Import&types=" + types + "&moniker=" + b.getMoniker()
									+ "&cburl=" + impCBUrl;
						
							importURL+="&name=" + URLEncoder.encode(urlEncodedName,"UTF-8");
							if (!(b instanceof MultiChannelBroadcast))
								importURL += "&nomhtml=true";
							
							importURL = importURL.replaceAll("ebtool", "resourceSelector.jsp");
		
							String imp_onclick="onclick='openImportWindow(&quot;" + importURL + "&quot;);return false;'";
							
							String importContentURL = baseURL.replaceAll("ebtool", "importOrEditContent.jsp") + 
														monikerAndRedir  + "&forEditContent=false" + "&cburl=" + impCBUrl;
							
							String editContentURL = baseURL.replaceAll("ebtool", "importOrEditContent.jsp") + 
														monikerAndRedir + "&forEditContent=true";
							
							String onclick = "onclick='javascript:openRemoteEdit(&quot;"
									+ editURL
									+ "&quot;,&quot;"
									+ editTarget
									+ "&quot;);return false;'";
								

							if (b.getLastExecutionTime() != 0) {
								imp_onclick= "onclick='javascript:showModelDialog(&quot;" + importContentURL + "&quot;, 555, 120);return false;'";
							}
							
							String viewSummaryURL = baseURLForViewSummary;
							String viewSummaryTarget = "_text_" + b.getMoniker();
							viewSummaryURL += "&action=summary&moniker="
									+ b.getMoniker();
	
							String viewVisualURL = baseURL.replaceAll("ebtool", "visualReport.jsp") + "&moniker=" + b.getMoniker() + "&event=all";
	
							String previewURL = webListSupport.getPreviewURL(urlEncodedMoniker);
							
							String viewCustVisReportURL  = baseURL.replaceAll("ebtool", "splitcview.jsp") + monikerAndRedir + "&part=html&event=all" ;
							String deleteBroadcastURL    = baseURL.replaceAll("ebtool", "deletebroadcast.jsp") + monikerAndRedir + "&name=" + urlEncodedName + "&isGroup=false";
							String renameBroadcastURL    = baseURL.replaceAll("ebtool", "renamebroadcast.jsp") + monikerAndRedir;
							String renameBroadcastURLIfLocked    = baseURL.replaceAll("ebtool", "moveOrRenameBroadcastWarning.jsp") + monikerAndRedir  + "&forMove=false";
							String duplicateBroadcastURL = baseURL.replaceAll("ebtool", "dupbroadcast.jsp") + monikerAndRedir;							 
	
							if (gid == null) {
								duplicateBroadcastURL += "&group=" + urlEncodedGroupPath;
							}
							else {
								duplicateBroadcastURL += "&gid=" + gid;
							}
	
							String moveBroadcastURL          = baseURL.replaceAll("ebtool", "movebroadcast.jsp") + monikerAndRedir;
							String moveBroadcastURLIfLocked	 = baseURL.replaceAll("ebtool", "moveOrRenameBroadcastWarning.jsp") + monikerAndRedir + "&forMove=true";
							
							String scheduleBroadcastURL      = baseURL.replaceAll("ebtool", "scheduleavailchk.jsp") + monikerAndRedir;
							String scheduleMultiBroadcastURL = baseURL.replaceAll("ebtool", "schedulemulti.jsp") + monikerAndRedir;
							
							String runSasReportURL           = baseURL.replaceAll("ebtool", "oobreports.jsp") + monikerAndRedir;
							
							String propertiesURL             = baseURL.replaceAll("ebtool", "broadcastproperties.jsp") + monikerAndRedir;
							
							String scheduleBroadcastWarningURL = baseURL.replaceAll("ebtool", "scheduleBroadcastWarning.jsp") + monikerAndRedir;
							
							custContent = Boolean.valueOf(sprops.getProperty("ShowCustomizeContentMenuItems")).booleanValue();
								
							String deleteBroadcastTitle    = props.getProperty("DeleteBroadcast.txt");
							String editBroadcastTitle      = props.getProperty("EditBroadcast.txt");
							String renameBroadcastTitle    = props.getProperty("RenameBroadcast.txt");
							String duplicateBroadcastTitle = props.getProperty("DuplicateBroadcast.txt");
							String moveBroadcastTitle      = props.getProperty("MoveBroadcast.txt");
							String scheduleBroadcastTitle  = props.getProperty("ScheduleBroadcast.txt");
	
							String deleteBroadcastMessage = null;
							String editBroadcastMessage = null;
							String renameBroadcastMessage = null;
							String duplicateBroadcastMessage = null;
							String moveBroadcastMessage = null;
							String scheduleBroadcastMessage = null;
							
							String onClickForPreview = "onclick='javascript:showModelDialog(&quot;" + previewURL + "&quot;, 555, 260);return false;'";
							String onClickForRenameBroadcast = "onclick='javascript:showModelDialog(&quot;" + renameBroadcastURL + "&quot;, 555, 80);return false;'";
							String onClickForDuplicateBroadcast = "onclick='javascript:showModelDialog(&quot;" + duplicateBroadcastURL + "&quot;, 740, 155);return false;'";
							String onClickForMoveBroadcast = "onclick='javascript:showModelDialog(&quot;" + moveBroadcastURL + "&quot;, 685, 80);return false;'";
	
							String onClickForEditBroadcast = "onclick='javascript:openRemoteEdit(&quot;"
									+ editURL
									+ "&quot;,&quot;"
									+ editTarget
									+ "&quot;);return false;'";
						
							String onClickForScheduleBroadcast = null;
	
							if (b.getType() == BulkEmailConstants.MULTICHANNEL){
								onClickForScheduleBroadcast =  "onclick='javascript:openRemoteSelfWindow(&quot;"
								+ scheduleMultiBroadcastURL								
								+ "&quot;);return false;'";
							}else{
								onClickForScheduleBroadcast =  "onclick='javascript:openRemoteSelfWindow(&quot;"
								+ scheduleBroadcastURL								
								+ "&quot;);return false;'";
							}


							if(b.getLastExecutionTime() != 0){
								editBroadcastMessage = BroadcastUtil.formatMessage(request, "EditIt.txt", broadcastName);
								editBroadcastMessage = editBroadcastMessage.replace("\"", "\\\"");
								editBroadcastMessage = editBroadcastMessage.replace("'", "");
								editBroadcastMessage = editBroadcastMessage.replace("\n", "\\n");
	
								onClickForEditBroadcast = "onclick='javascript:showModelDialog(&quot;" + 
											editContentURL + "&quot;, 555, 120);return false;'";
							}

						String userWithLock = b.getLockedUser();	
						if (userWithLock != null) {
															
							onClickForEditBroadcast = "onclick='javascript:showModelDialog(&quot;" + 
								editContentURL + "&quot;, 555, 120);return false;'";
							
							onClickForRenameBroadcast = "onclick='javascript:showModelDialog(&quot;" + 
								renameBroadcastURLIfLocked + "&quot;, 500, 80);return false;'";
								
							onClickForDuplicateBroadcast =  "onclick='javascript:showModelDialog(&quot;" + 
								duplicateBroadcastURL + "&quot;, 740, 155);return false;'";

							onClickForMoveBroadcast = "onclick='javascript:showModelDialog(&quot;" + 
								moveBroadcastURLIfLocked + "&quot;, 500, 80);return false;'";
							
							onClickForScheduleBroadcast = "onclick='javascript:showModelDialog(&quot;" + 
								scheduleBroadcastWarningURL + "&quot;, 500, 100);return false;'";						

							renameBroadcastURL = renameBroadcastURLIfLocked;

							moveBroadcastURL = moveBroadcastURLIfLocked;

							scheduleBroadcastURL = scheduleBroadcastWarningURL;

						}
						
						String onClickForDeleteBroadcast = "onclick='javascript:showModelDialog(&quot;" + 
								deleteBroadcastURL + "&quot;, 500, 100);return false;'";

						Vector bvars = b.getBroadcastVariables();
						boolean custCheck = false;
							if ((bvars != null) && (bvars.size() > 0) && (custContent == true))
								custCheck = true;
	
				%>
				<td valign="middle" align="center">
					<a id="menu2" href="javascript:void(0);" onClick="menu('<%= b.getMoniker()%>','<%= viewSummaryURL%>','<%=previewURL%>','<%=scheduleBroadcastURL%>','<%=runSasReportURL%>','<%=viewVisualURL%>','<%=viewCustVisReportURL%>','<%=duplicateBroadcastURL%>','<%=moveBroadcastURL%>','<%=editContentURL%>','<%=importContentURL%>','<%=deleteBroadcastURL%>','<%=renameBroadcastURL%>','<%=propertiesURL%>','<%=editURL%>','<%=editTarget%>','<%=b.getLockedUser()%>','<%=b.getLastExecutionTime()%>','<%=importURL%>','<%=lockSentBroadcasts%>','<%=showAspEdit%>','<%=custCheck%>')"><img src="images/ActionMenu.gif" BORDER=0/></a>
						
 			<% } 
			   else { // ASP or WTF
		 		meURL = baseWeblistURL;
		 		if (gid == null) {
		 			meURL = meURL + "&path=" + URLEncoder.encode(urlEncodedGroupPath, "UTF-8");
		 		}	
		 		else {
		 			meURL = meURL + "&gid=" + gid;
		 		}
		
		 		meURL = URLEncoder.encode(meURL, "UTF-8");
		 		String monikerAndRedir = "&moniker=" + urlEncodedMoniker + "&redir=" + meURL;
		
		 		String viewSummaryURL = baseURLForViewSummary;
		 		String viewSummaryTarget = "_text_" + b.getMoniker();
		 		viewSummaryURL += "&action=summary&moniker=" + b.getMoniker();
		
		 		String viewVisualURL = baseURL.replaceAll("ebtool", "visualReport.jsp") + "&moniker=" + b.getMoniker() + "&event=all";
		
		 		String aspPreviewURL = webListSupport.getAspPreviewURL(urlEncodedMoniker);
		 		
		 		String deleteBroadcastURL    = baseURL.replaceAll("ebtool", "deletebroadcast.jsp") + monikerAndRedir + "&name=" + broadcastName + "&isgroup=false";
		 		String renameBroadcastURL    = baseURL.replaceAll("ebtool", "renamebroadcast.jsp") + monikerAndRedir;
		 		String duplicateBroadcastURL = baseURL.replaceAll("ebtool", "dupbroadcast.jsp") + monikerAndRedir;
		
		 		if (gid == null) {
		 			duplicateBroadcastURL += "&group=" + urlEncodedGroupPath;
		 		}
		 		else {
		 			duplicateBroadcastURL += "&gid=" + gid;
		 		}
		
		 		String moveBroadcastURL     = baseURL.replaceAll("ebtool", "movebroadcast.jsp") + monikerAndRedir;
		 		String scheduleBroadcastURL = baseURL.replaceAll("ebtool", "scheduleavailchk.jsp") + monikerAndRedir;
		 		String propertiesURL;  
		 		if(b.getType() == BulkEmailConstants.SMS)
		 		{
		 			propertiesURL = baseURL.replaceAll("ebtool", "SMSBroadcastProperties.jsp") + monikerAndRedir;
		 		}
		 		else{
		 			propertiesURL        = baseURL.replaceAll("ebtool", "aspbroadcastproperties.jsp") + monikerAndRedir;
		 		}
		 		
		 		if ((b.getHtmlPart() == null) || (b.getHtmlPart().trim().equals(""))) {
		 			hasHtml = false;
		 		}
		
		 		custContent = Boolean.valueOf(sprops.getProperty("ShowCustomizeContentMenuItems")).booleanValue();
		 		
				String deleteASPMessage = BroadcastUtil.formatMessage(request,"DeleteBroadcast.Confirm.txt", broadcastName);				
				deleteASPMessage = deleteASPMessage.replace("\"", "\\\"");
									
				String deleteASPTitle = props.getProperty("DeleteBroadcast.txt");
				
				String onclickfordeleteasp = "onclick='javascript:showModelDialog(&quot;" + 
							deleteBroadcastURL + "&quot;, 500, 100);return false;'";
				
				String onClickForPreview = "onclick='javascript:showModelDialog(&quot;" + aspPreviewURL + "&quot;, 580, 170);return false;'";
				String onClickForRenameBroadcast = "onclick='javascript:showModelDialog(&quot;" + renameBroadcastURL + "&quot;, 555, 80);return false;'";
				String onClickForDuplicateBroadcast = "onclick='javascript:showModelDialog(&quot;" + duplicateBroadcastURL + "&quot;, 740, 155);return false;'";
				String onClickForMoveBroadcast = "onclick='javascript:showModelDialog(&quot;" + moveBroadcastURL + "&quot;, 685, 80);return false;'";

				
 %>
				
				<td valign="middle" align="center">
					<a id="menu1" href="javascript:void(0);" onClick="menu1('<%= b.getMoniker()%>','<%= viewSummaryURL%>','<%=aspPreviewURL%>','<%=scheduleBroadcastURL%>','<%=viewVisualURL%>','<%=duplicateBroadcastURL%>','<%=moveBroadcastURL%>','<%=deleteBroadcastURL%>','<%=renameBroadcastURL%>','<%=propertiesURL%>')"><img src="images/ActionMenu.gif" BORDER=0/></a>
 			<% } %>
			</td>
			
			<%
 			String icon = "";
 		
 			String lockedUser=b.getLockedUser();
 	 		if (lockedUser!=null && lockedUser.trim().length()==0) {
 	 			lockedUser=null;
 	 		}
 			String nf = BroadcastUtil.escape(b.getName());
 	 		if (lockedUser != null) {
 	 			if(lockedUser.indexOf("@") != -1) {
 	 				String userId = lockedUser.substring(0,lockedUser.indexOf("@")).trim();
 	 				
 	 				// If we dont find a user name in the map then we display the name as we got from the xml which is in the format id@machineid.
 	 				// Else we display the user name  
 	 				if(! bulkEmailServerUsers.getUserName(userId).equals(userId)) {
 	 					lockedUser = bulkEmailServerUsers.getUserName(userId);
 	 				}
 	 			} 
 	 			else {
 	 				lockedUser = bulkEmailServerUsers.getUserName(lockedUser);
 	 			}
 	 			nf += "  (" + lockedUser + ")";
 	 		}
 	 		

 		icon=BroadcastUtil.getBroadcastIcon(sprops,b);
 		
 		String href = baseURLForViewSummary;
 		href += "&action=summary&moniker=" + b.getMoniker();
			
		BulkEmailBroadcast broadcast = b;
 			
		String onmouseover = "check(&quot;" + BroadcastUtil.getToolTipHTMLForBroadcast(broadcast, request) +"&quot;)";
 %>
				
				<td class="t1"><img src="images/<%= icon %>" align="top" border="0" /></td>
				<td class="t4"><a target="_Summary_<%= b.getMoniker() %>" href="<%= href %>" onmouseover="<%= onmouseover %>" onmouseout="UnTip()"><%=nf%></a></td>
				<td class="t4"><%=b.getGroupPath()%></td>
				<td class="t2"><%=webListSupport.getBroadcastType(b)%></td>
				<td class="t2"><%=bulkEmailServerUsers.getUserName(b.getLastModifiedUser())%></td>
				<td class="t3"><%=webListSupport.formatDate(b.getModifiedTime())%></td>
			</tr>

					<%
					} 
					else {
						BulkEmailBroadcastGroup group = (BulkEmailBroadcastGroup) object; 

						if (group == null) {
						    return;
						}
						
						String key  = group.getProperties().getProperty("DisplayKey", null);
						String type = props.getProperty("Group.txt");

						if (i % 2 == 0) { %>
						<tr class="r1">
						<% } else { %>
						<tr class="r2">
						<% } %>

						<%
						String groupPath = group.getGroupPath();
						if (enableSasReportMenuItem) {
							groupReportURL = baseURL;
							groupReportURL = groupReportURL.replaceAll("ebtool", "oobreports.jsp");
							groupReportURL += "&gid=" + group.getMoniker();
							groupReportURL += "&redir=" + meURL;
						} 
						else {
							if (sprops.containsKey("GroupReportURL") || sprops.containsKey("WebAppURL")) {
								if (!sprops.containsKey("GroupReportURL")) {
									String group_url = null;
									String app_url = sprops.getProperty("WebAppURL", null);
									if (app_url != null) {
										group_url = app_url + "progress.jsp?server={0}&user={1}&password={2}&group={3}&subs=false&reportName=com&percentReport=yes&period=30";
									}
									sprops.setProperty("GroupReportURL", group_url);
								}

								String p = password;
								if (password == null) {
									p = sessionVal;
								}
								if (p == null) {
									p = "";
								}

								groupPath = URLEncoder.encode(URLEncoder.encode(groupPath, "UTF-8"), "UTF-8");
								groupReportURL = Message.format(sprops.getProperty("GroupReportURL"), server, user, p, groupPath);
							} else
								groupReportURL = "./progress.jsp?server="
								+ server
								+ "&user="
								+ user
								+ "&group="
								+ URLEncoder.encode(URLEncoder.encode(
										groupPath, "UTF-8"), "UTF-8")
								+ "&subs=false&reportName=com&percentReport=yes&period=30"
								+ "&password=" + password;

						}
						meURL = baseWeblistURL;
						if (group.getParentGroup() != null) {
							String gp = group.getParentGroup().getGroupPath();
							if (gp.length() == 1) {
								meURL += "&path=" + URLEncoder.encode(URLEncoder.encode(group.getParentGroup().getGroupPath(), "UTF-8"), "UTF-8");
							} 
							else {
								meURL += "&gid=" + group.getParentGroup().getMoniker();
							}
						}
						meURL = URLEncoder.encode(meURL, "UTF-8");

						String deleteGroupURL = baseURL.replaceAll("ebtool", "deletebroadcast.jsp");
						deleteGroupURL += "&gid=" + group.getMoniker();
						deleteGroupURL += "&group=true";
						deleteGroupURL += "&redir=" + meURL;
						
						
						String propGroupURL = baseURL.replaceAll("ebtool", "groupProperties.jsp");
						propGroupURL += "&gid=" + group.getMoniker();
						propGroupURL += "&redir=" + meURL;

						String renameGroupURL = baseURL.replaceAll("ebtool", "renamegroup.jsp");
						renameGroupURL += "&gid=" + group.getMoniker();
						renameGroupURL += "&redir=" + meURL;
						
						String onClickForRenameGroup = "onclick='javascript:showModelDialog(&quot;" + renameGroupURL + "&quot;, 555, 80);return false;'";
						
						String broadcastGroupName = group.getName();
						String deleteBroadcastGroupTitle = "Delete Broadcast Group";
						String deleteBroadcastGroupMessage = BroadcastUtil.formatMessage(request, "DeleteGroup.Confirm.txt", group.getName());
						deleteBroadcastGroupMessage = deleteBroadcastGroupMessage.replace("\"", "\\\"");
						deleteBroadcastGroupMessage = deleteBroadcastGroupMessage.replace("'", "&#39");
						deleteBroadcastGroupMessage = deleteBroadcastGroupMessage.replace("\n", "\\n");	
												
						String onClickDeleteBroadcastGroupURL = "onclick='javascript:showModelDialog(&quot;" + 
						deleteGroupURL + "&quot;, 500, 120);return false;'";
				%>

				<td valign="middle" align="center">
					<a id="menu3" href="javascript:void(0);" onClick="group('<%=groupReportURL%>','<%=deleteGroupURL%>','<%=renameGroupURL%>','<%=propGroupURL%>')">
					<img src="images/ActionMenu.gif" BORDER=0/></a>
				</td>

				<%
				String href = "";
				href = baseWeblistURL;
				href += "&gid=" + group.getMoniker();
				
				String groupName = "";
				if (key == null) {
					groupName = group.getName();
				} else {
					groupName = props.getProperty(key);
				}
				
				String lastModifiedBy = group.getLastModifiedUser();
				if (lastModifiedBy == null || lastModifiedBy.length() == 0) {
				    lastModifiedBy = "&nbsp;";
				}
				
				lastModifiedBy = bulkEmailServerUsers.getUserName(lastModifiedBy);
 		 			
				String onmouseovergroup = "check(&quot;" + BroadcastUtil.getToolTipForBroadcastGroup(request, group) + "&quot;)"; 

				String str = group.getGroupPath();
				str = str.replaceAll("\\\\","\\\\\\\\");

				%>
				<td class="t1"><img src="images/BulkEmailFolder.gif" border="0" align="top" /></td>
				<td class="t4"><a href="<%=propGroupURL %>" onmouseover="<%= onmouseovergroup %>" onmouseout="UnTip()"><%= groupName %></a></td>
				<td class="t4"><%=group.getParentGroupPath()%></td>
				<td class="t2"><%=type%></td>
				<td class="t2"><%=lastModifiedBy%></td>
				<td class="t3"><%=webListSupport.formatDate(group.getLastModified())%></td>
			</tr>
			<%
				}
			}
			%>
			
		</table>
</table>
<div id="menuDiv" style="top=0;left=0;position:absolute;border-width:1px;border-style:solid;border-color:#6699FF;
background-color:#FFFFFF;display=none;" onClick="javascript:hide();">
<table cellpadding="0" cellspacing="0"> 
<tr>
<td>&nbsp;<img src="images/Summary.gif"/></td>
<td class="m1"><a href="#" id="summ">&nbsp;<%=summ%></a></td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>&nbsp;<img src="images/EmailPreview.gif"/></td>
<td class="m1"><a href="#" id="prev">&nbsp;<%=prev%></a></td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<% if (webListSupport.isEditable() && (noScheduling == false)) { %>
<tr>
<td>&nbsp;<img src="images/Scheduler.gif"/></td>
<td class="m1"><a href="#" id="sched">&nbsp;<%=sched%></a></td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<% } %>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% 	if (enableSasReportMenuItem) { %>
<tr>
<td>&nbsp;<img src="images/RunSASJob.gif"/></td>
<td class="m1"><a href="#" id="sasreport">&nbsp;<%=sasreport%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
<tr>
<td>&nbsp;<img src="images/LinkReport.gif"/></td>
<td class="m1"><a href="#" id="runvis">&nbsp;<%=runvis%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>

<tr id="menuDivrow4">
<td>&nbsp;<img src="images/NoGif.gif"/></td>
<td class="m1"><a href="#" id="runcustvis">&nbsp;<%=runcustvis%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>

<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% 
	if (webListSupport.isEditable()) { %>
<tr>
<td>&nbsp;<img src="images/Duplicate.gif"/></td>
<td class="m1"><a href="#" id="dup">&nbsp;<%=dup%></a></td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;<img src="images/MoveTo.gif"/></td>
<td class="m1"><a href="#" id="mov">&nbsp;<%=mov%></a></td>
<td>&nbsp;</td></tr>
<tr id="menuDivrow3"><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>

<tr id="menuDivrow1">
<td>&nbsp;<img src="images/EditBulkEmailSmall.gif"/></td>
<td class="m1"><a href="#" id="edit">&nbsp;<%=edit%></a></td>
<td>&nbsp;</td></tr>
<tr id="menuDivrow">
<td>&nbsp;<img src="images/Import.gif"/></td>
<td class="m1"><a href="#" id="imp">&nbsp;<%=imp%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>

<tr>
<td>&nbsp;<img src="images/Delete2.gif"/></td>
<td class="m1"><a href="#" id="del">&nbsp;<%=del%></a></td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;<img src="images/Rename.gif"/></td>
<td class="m1"><a href="#" id="ren">&nbsp;<%=ren%></a></td>
<td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>

<% if (webListSupport.isEditable()) { %>
<tr>
<td>&nbsp;<img src="images/Properties.gif"/></td>
<td class="m1"><a href="#" id="proper">&nbsp;<%=proper%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
</table>

</div>
<div id="aspDiv" style="top=0;left=0;position:absolute;border-width:1px;border-style:solid;border-color:#6699FF;
background-color:#FFFFFF;display=none" onClick="javascript:hide();">
<table cellpadding="0" cellspacing="0"> 
<tr>
<td>&nbsp;<img src="images/Summary.gif"/></td>
<td class="m1"><a href="#" id="summA">&nbsp;<%=summ%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td>&nbsp;<img src="images/EmailPreview.gif"/></td>
<td class="m1"><a href="#" id="prevA">&nbsp;<%=prev%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<% if (webListSupport.isEditable() && (noScheduling == false)) { %>
<tr>
<td>&nbsp;<img src="images/Scheduler.gif"/></td>
<td class="m1"><a href="#" id="schedA">&nbsp;<%=sched%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% if (hasHtml == true) { %>
<tr>
<td>&nbsp;<img src="images/LinkReport.gif"/></td>
<td class="m1"><a href="#" id="runvisA">&nbsp;<%=runvis%></a></td>
<td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>

<% 
	if (webListSupport.isEditable()) { %>
<tr>
<td>&nbsp;<img src="images/Duplicate.gif"/></td>
<td class="m1"><a href="#" id="dupA">&nbsp;<%=dup%></a></td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;<img src="images/MoveTo.gif"/></td>
<td class="m1"><a href="#" id="movA">&nbsp;<%=mov%></a></td>
<td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>

<tr>
<td>&nbsp;<img src="images/Delete2.gif"/></td>
<td class="m1"><a href="#" id="delA">&nbsp;<%=del%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td><img src="images/Rename.gif"/></td>
<td class="m1"><a href="#" id="renA"> <%=ren%></a></td>
<td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
<% if (webListSupport.isEditable()) { %>
<tr>
<td>&nbsp;<img src="images/Properties.gif"/></td>
<td class="m1"><a href="#" id="properA">&nbsp;<%=proper%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
</table>

</div>
<div id="groupDiv" style="top=0;left=0;position:absolute;border-width:1px;border-style:solid;border-color:#6699FF; 
background-color:#FFFFFF;display=none" onClick="javascript:hide();">
<table cellpadding="0" cellspacing="0"> 
<% 	if (enableSasReportMenuItem) { %>
<tr>
<td>&nbsp;<img src="images/RunSASJob.gif"/></td>
<td class="m1"><a href="#" id="rungp">&nbsp;<%=rungp%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
<% 
	if (webListSupport.isEditable() && (noGroupEdits == false)) { %>
<tr>
<td>&nbsp;<img src="images/Delete2.gif"/></td>
<td class="m1"><a href="#" id="delG">&nbsp;<%=del%></a></td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;<img src="images/Rename.gif"/></td>
<td class="m1"><a href="#" id="renG">&nbsp;<%=ren%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td></td><td><hr> </td><td>&nbsp;</td><td>&nbsp;</td></tr>
<% } %>
<tr>
<td>&nbsp;<img src="images/Properties.gif"/></td>
<td class="m1"><a href="#" id="properG">&nbsp;<%=proper%></a></td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
</table>

</div>
<form action="doRenameBroadcast.jsp?debug=<%=webListSupport.isDebug()%>" name="renameBroadcastForm" method="POST" id="renameBroadcastForm">
	<input type="hidden" name="server"   id="server"  value="<%=webListSupport.getServer()%>"/>
	<input type="hidden" name="user"     id="user"    value="<%=webListSupport.getUser()%>"/>
	<input type="hidden" name="password" id="password" value="<%=webListSupport.getSecurityUtilEncodedPassword()%>"/>
	<input type="hidden" name="redir"    id="redir" value="<%=baseWeblistURL%>"/>		 
	<input type="hidden" name="moniker"  id="moniker" value="" />		 
	<input type="hidden" name="noheader" id="noheader" value="<%=webListSupport.isNoheader()%>" />
	<input type="hidden" name="oldName"  id="oldName" value=""/>
	<input type="hidden" name="newName"  id="newName" value=""/>
	<input type="hidden" name="gid"      id="gid" value=""/>
	<input type="hidden" name="broadcastName" id="broadcastName" value="" />
	<input type="hidden" name="parentGroupPath" id="parentGroupPath" value="" />
	<input type="hidden" name="group" id="group" value="" />
</form>
	
<%
if (time) {
	long endTime = System.currentTimeMillis();
	double difftime = (endTime - startTime);
%>
	<font size="-2"><img src="./images/spacer.gif" width="5">Web server took <%=difftime%> milliseconds to generate this page. </font>
<% } %>
</body>
</html>

